#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sort
%define		pnam	Key
Summary:	Sort::Key - interface to sort arrays by one or manipulate calculated keys
Summary(pl.UTF-8):	Sort::Key - interfejs do szybkiego sortowania tablic według zmiennych kluczy
Name:		perl-Sort-Key
Version:	1.28
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sort/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ec9d003d68784a5643815c65124aad18
URL:		http://search.cpan.org/dist/Sort-Key/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sort arrays by one or multiple calculated keys.

%description -l pl.UTF-8
Sortowanie tablic po jednym lub wielu wyliczanych kluczach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorarch}/Sort/*.pm
%dir %{perl_vendorarch}/Sort
%dir %{perl_vendorarch}/Sort/Key
%{perl_vendorarch}/Sort/Key/*
%dir %{perl_vendorarch}/auto/Sort
%dir %{perl_vendorarch}/auto/Sort/Key
%attr(755,root,root) %{perl_vendorarch}/auto/Sort/Key/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sort-Key.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 765a027
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> adbecc1
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d26389a
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 563ca9f
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 27371e5
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b58a99
- rel 3

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 892715f
- missing dirs; rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 1cb664c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 5ddb6a1
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> d6e6bec
- up to 1.28

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8dccfac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a71d1a6
- converted to UTF-8

* Mon Oct 23 2006 ankry <ankry@pld-linux.org> 42ee17f
- ver. 1.26

* Sun May 21 2006 blaass <blaass@pld-linux.org> 56d131a
- up to 1.25

* Thu May 18 2006 Jakub Bogusz <qboosh@pld-linux.org> fdd59c8
- pl desc, files fixes

* Wed May 17 2006 blaass <blaass@pld-linux.org> 66e398a
- ver 1

